import unittest

from utils import run_file


class TestMain(unittest.TestCase):
    def test_po_main(self):
        self.main("PO")

    def test_co_main(self):
        self.main("CO")

    def main(self, mode):
        self.assertTrue(run_file(["main.alc", "primitives.alc"],
            [],
            ["Hello, world!", "Hello, world!", "Hello, world!"],
            mode))
